net.sf.cglib.core

## Interface ObjectSwitchCallback

-     public interface ObjectSwitchCallback

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processCase(java.lang.Object key, Label end)`
    `void` | `processDefault()`

- - ### Method Detail

    - #### processCase

          void processCase(java.lang.Object key,
                         Label end)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### processDefault

          void processDefault()
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright (c) 2001 - Apache Software Foundation